Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.compiler.wrapper
Class DB_SVM_CL

    java.lang.Object
      edu.udo.cs.miningmart.compiler.wrapper.SVM_Wrapper
          edu.udo.cs.miningmart.compiler.wrapper.DB_SVM
              edu.udo.cs.miningmart.compiler.wrapper.DB_SVM_CL

public class DB_SVM_CL
extends DB_SVM

This class is the wrapper for a classification SVM that runs inside the database.

Version:
  $Id: DB_SVM_CL.java,v 1.4 2006/04/11 14:10:17 euler Exp $
Author:
  Timm Euler

Field Summary

Fields inherited from class edu.udo.cs.miningmart.compiler.wrapper.SVM_Wrapper
`b, DEFAULTSAMPLESIZE, forClassification, inputTableName, lossNeg, lossPos, myStepId, noSV, SAMPLE_TABLE_PREFIX, sampleSize, schema, targetColSQLDefinition, targetPositive, TEMP_TABLE_PREFIX, theColumnInfos, useOracle, usePostgres, xiAlphaEstimation`

Constructor Summary
`DB_SVM_CL(CompilerDatabaseService databaseObj, Print printObj, java.lang.String nameForDatabaseUse, java.lang.String nameOfDatabaseSchema, long stepId, java.lang.String keyCol, long sampleSize, java.lang.String positiveTargetValue)` Use this constructor if sampling on the input data is needed.
`DB_SVM_CL(CompilerDatabaseService databaseObj, Print printObj, java.lang.String nameForDatabaseUse, java.lang.String nameOfDatabaseSchema, long stepId, java.lang.String keyCol, java.lang.String positiveTargetValue)` Use this constructor if no sampling on the input data is needed.

Method Summary
`protected void` | `extractXiAlpha()` Must be implemented by subclasses.

Methods inherited from class edu.udo.cs.miningmart.compiler.wrapper.DB_SVM
`callSVM, checkColSetType, checkKernel, extractNumberSV, getColNamesInput, getModelTablePlusCondition`

Methods inherited from class edu.udo.cs.miningmart.compiler.wrapper.SVM_Wrapper
`checkDouble, checkForConversion, createBody, createDecisionFunctionAsSQL_Function, createDecisionFunctionTemplate, createDeclaration, getCompleteSelectString, getDatabaseObj, getDBMS_Datatype, getDecisionFunctionName, getDecisionFunctionNameWithArgumentTypes, getDecisionFunctionNameWithSchema, getInputViewName, getKernelParams, getLogTableName, getModelTableName, getNumberOfSupportVectors, getOutputViewName, getParTableName, getPositiveTargetValue, getPrint, getSampleRatio, getXiAlphaEstimation, insertFunctionIntoDB, replace, setPositiveTargetValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DB_SVM_CL

    public DB_SVM_CL(CompilerDatabaseService databaseObj,
                     Print printObj,
                     java.lang.String nameForDatabaseUse,
                     java.lang.String nameOfDatabaseSchema,
                     long stepId,
                     java.lang.String keyCol,
                     java.lang.String positiveTargetValue)
              throws M4CompilerError

  Use this constructor if no sampling on the input data is needed.

Parameters:
  `databaseObj` - the DB object to be used for database connections
  `printObj` - the Print object to be used for log messages
  `nameForDatabaseUse` - Prefix for all functions, view and tables that this wrapper creates in the database
  `nameOfDatabaseSchema` - Name of the database schema that holds the business views and tables
  `stepId` - Id of the step
  `keyCol` - name of the column that is a key to the input table
  `positiveTargetValue` - Decides which of the two values of the target attribute is to be interpreted as the positive label.
Throws:
  `M4CompilerError` - A simple exception object with an error message.

### DB_SVM_CL

    public DB_SVM_CL(CompilerDatabaseService databaseObj,
                     Print printObj,
                     java.lang.String nameForDatabaseUse,
                     java.lang.String nameOfDatabaseSchema,
                     long stepId,
                     java.lang.String keyCol,
                     long sampleSize,
                     java.lang.String positiveTargetValue)
              throws M4CompilerError

  Use this constructor if sampling on the input data is needed.

Parameters:
  `databaseObj` - the DB object to be used for database connections
  `printObj` - the Print object to be used for log messages
  `nameForDatabaseUse` - Prefix for all functions, view and tables that this wrapper creates in the database
  `nameOfDatabaseSchema` - Name of the database schema that holds the business views and tables
  `stepId` - Id of the step
  `keyCol` - name of the column that is a key to the input table
  `positiveTargetValue` - Decides which of the two values of the target attribute is to be interpreted as the positive label.
  `sampleSize` - maximum number of rows to be used to train the SVM
Throws:
  `M4CompilerError` - A simple exception object with an error message.

Method Detail

### extractXiAlpha

    protected void extractXiAlpha()
                           throws M4CompilerError

  Description copied from class: `SVM_Wrapper`
  Must be implemented by subclasses. Extracts the XiAlpha estimation from the output of the SVM algorithm so that the public method `getXiAlphaEstimation()` can return the right value.

  Specified by:
    `extractXiAlpha` in class `SVM_Wrapper`
  Throws:
    `M4CompilerError`
  See Also:
    `edu.udo.cs.miningmart.operator.SVM_Wrapper#extractXiAlpha`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005